%define name perl-MP3-Info
%define real_name MP3-Info
%define version 1.13
%define release 1mdk

Summary: Perl module to manipulate / fetch info from MP3 audio files
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
URL: http://search.cpan.org/dist/%{real_name}/
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/MPEG/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: perl-MPEG-MP3Info
Provides: perl-MPEG-MP3Info = %{version}

%description
Manipulate / fetch info from MP3 audio files : winamp genres, mp3tag, mp3info.

A wrapper module is included so scripts calling MPEG::MP3Info will still work.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes eg
%{_mandir}/*/*
%{perl_vendorlib}/MP3
%{perl_vendorlib}/MPEG

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.13-1mdk
- 1.13

* Tue Jan 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.11-1mdk
- new version 1.11

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- new version 1.10
- Add examples in documentation

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-4mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.01-2mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.01-1mdk
- 1.01.

* Wed Jan 23 2002 Franois Pons <fpons@mandrakesoft.com> 1.00-1mdk
- 1.00.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.91-5mdk
- added url tag.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.91-4mdk
- BuildRequires: perl-devel

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.91-3mdk
- update provides tag.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.91-2mdk
- Rebuild for the latest perl.

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 0.91-1mdk
- 0.91.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 0.80-3mdk
- added missing clean.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.80-2mdk
- macroszifications.
- noarch.
- add doc.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- 0.80 with new name (obsoletes perl-MPEG-MP3Info)
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- typo in description

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
